[FFmpeg-devel] Linker errors when trying to enable stagefright support

Vita vitezslav.kot at gmail.com
Thu May 3 21:55:38 CEST 2012


I want to use stagefright for HW accelerated decoding in my Android movie player
based on FFmpeg - version 0.10.2 "Freedom". I have successfully built all the
libraries using the build script in tools directory. However, I have many linker
errors related to stagefright e.g.: 

undefined reference to `android::OMXClient::disconnect()'
undefined reference to `android::MediaBuffer::MediaBuffer(unsigned int)'

I thought the binaries built with stagefright support are self-contained and do
not need any other stuff to link with. Am I doing something wrong? Should I add
libstagefright.so to my project? I think it would cause many troubles with

Is it compatible with API 8 or only API 9 and above? 

Many thanks,

More information about the ffmpeg-devel mailing list